Subject: [PATCH] ARM: OMAP2+: gpmc-smsc911x: only register regulator for first instance

From: [email-masked] (Arnd Bergmann)
Date: Mon, 19 Mar 2012 22:09:43 +0000

On Monday 19 March 2012, Kevin Hilman wrote:
> > On Wednesday 07 March 2012, Kevin Hilman wrote:
> >> commit e4b0b2cbbb (ARM: OMAP2+: gpmc-smsc911x: add required smsc911x
> >> regulators) added regulators which are registered during
> >> gpmc_smsc911x_init().  However, some platforms (OMAP3/Overo) have more
> >> than one instance of the SMSC911x and result in attempting to register
> >> the same regulator more than once which causes a panic().
> >> 
> >> Fix this by only registering the regulator when the platform_data id
> >> field is zero, indicating its the first instance.
> >> 
> >> Cc: Matt Porter <[email-masked]>
> >> Signed-off-by: Kevin Hilman <[email-masked]>
> >
> > It seems that both Olof and I forgot to forward this one to Linus.
> >
> > If it's ok for you, I'll add it to the fixes branch for v3.4 now
> > and mark it for backporting to v3.3-stable.
> 
> A slightly different version of this is already in linux-next as commit
> bb60424af517d6e6148505fb5ef256caa91b5b43.
> 
> It was in your 'fixes' branch, and was merged by Olaf from Tony on 3/13:
> Merge branch 'fix-smsc911x-regulator' of git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap into fixes
> 

Yes, I know it's in linux-next because I found it in the fixes branch.
That is the branch with stuff that should have gone into v3.3 :(

Is the bb60424af version ok? If I add a stable at vger.kernel.org tag in
there, it will obviously get a new changeset ID but I was not planning
on changing the contents to the version from the mailing list in case
that is different.

	Arnd